Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.model.analysisMetaModel
Interface MIAnalysisMetaModelFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MAnalysisMetaModelFactory

    public interface MIAnalysisMetaModelFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `MIAnalysisMetaModelPackage`
Generated:

Field Summary
`static MIAnalysisMetaModelFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`MIDependency` | `createDependency()` Returns a new object of class 'Dependency'.
`MIDisplay` | `createDisplay()` Returns a new object of class 'Display'.
`MIDisplayConnector` | `createDisplayConnector()` Returns a new object of class 'Display Connector'.
`MIFilter` | `createFilter()` Returns a new object of class 'Filter'.
`MIInputPort` | `createInputPort()` Returns a new object of class 'Input Port'.
`MIOutputPort` | `createOutputPort()` Returns a new object of class 'Output Port'.
`MIProject` | `createProject()` Returns a new object of class 'Project'.
`MIProperty` | `createProperty()` Returns a new object of class 'Property'.
`MIReader` | `createReader()` Returns a new object of class 'Reader'.
`MIRepository` | `createRepository()` Returns a new object of class 'Repository'.
`MIRepositoryConnector` | `createRepositoryConnector()` Returns a new object of class 'Repository Connector'.
`MIView` | `createView()` Returns a new object of class 'View'.
`MIAnalysisMetaModelPackage` | `getAnalysisMetaModelPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final MIAnalysisMetaModelFactory eINSTANCE

  The singleton instance of the factory.

  Generated:

Method Detail

### createProject

    MIProject createProject()

  Returns a new object of class 'Project'.

  Returns:
    a new object of class 'Project'.
  Generated:

### createInputPort

    MIInputPort createInputPort()

  Returns a new object of class 'Input Port'.

  Returns:
    a new object of class 'Input Port'.
  Generated:

### createOutputPort

    MIOutputPort createOutputPort()

  Returns a new object of class 'Output Port'.

  Returns:
    a new object of class 'Output Port'.
  Generated:

### createProperty

    MIProperty createProperty()

  Returns a new object of class 'Property'.

  Returns:
    a new object of class 'Property'.
  Generated:

### createFilter

    MIFilter createFilter()

  Returns a new object of class 'Filter'.

  Returns:
    a new object of class 'Filter'.
  Generated:

### createReader

    MIReader createReader()

  Returns a new object of class 'Reader'.

  Returns:
    a new object of class 'Reader'.
  Generated:

### createRepository

    MIRepository createRepository()

  Returns a new object of class 'Repository'.

  Returns:
    a new object of class 'Repository'.
  Generated:

### createDependency

    MIDependency createDependency()

  Returns a new object of class 'Dependency'.

  Returns:
    a new object of class 'Dependency'.
  Generated:

### createRepositoryConnector

    MIRepositoryConnector createRepositoryConnector()

  Returns a new object of class 'Repository Connector'.

  Returns:
    a new object of class 'Repository Connector'.
  Generated:

### createDisplay

    MIDisplay createDisplay()

  Returns a new object of class 'Display'.

  Returns:
    a new object of class 'Display'.
  Generated:

### createView

    MIView createView()

  Returns a new object of class 'View'.

  Returns:
    a new object of class 'View'.
  Generated:

### createDisplayConnector

    MIDisplayConnector createDisplayConnector()

  Returns a new object of class 'Display Connector'.

  Returns:
    a new object of class 'Display Connector'.
  Generated:

### getAnalysisMetaModelPackage

    MIAnalysisMetaModelPackage getAnalysisMetaModelPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.
  Generated:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net